﻿using SFTabInAppshell.Views;
using Syncfusion.XForms.TabView;
using System.ComponentModel;
using System.Runtime.CompilerServices;

namespace SFTabInAppshell.ViewModels
{
    public class ItemsViewModel : BaseViewModel
    {
        private TabItemCollection items;
        public TabItemCollection Items
        {
            get { return items; }
            set
            {
                items = value;
                NotifyPropertyChanged();
            }
        }
        
        public event PropertyChangedEventHandler PropertyChanged;
        protected virtual void NotifyPropertyChanged([CallerMemberName] string propertyName = "")
        {
            PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(propertyName));
        }
      
        public ItemsViewModel()
        {
            SetItems();
        }

        internal void SetItems()
        {
            Items = new TabItemCollection();

            for (int i = 1; i < 5; i++)
            {
                Items.Add(new SfTabItem { Content = new NewItemPage().Content, Title = "Item " + i, AutomationId = "TabItem " + i });
            }
        }
    }
}